Name:           stellarium
Version:        0.8.0
Release:        3%{?dist}
Summary:        Photo-realistic nightsky renderer

Group:          Amusements/Graphics
License:        GPL
URL:            http://stellarium.free.fr/
Source0:        http://dl.sf.net/stellarium/stellarium-%{version}.tar.gz
Source1:        stellarium.desktop
Source2:        http://dl.sf.net/stellarum/stellarium_user_guide-0.7.1-1.pdf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  libpng-devel
BuildRequires:  SDL_mixer-devel

%description
Stellarium is a real-time 3D photo-realistic nightsky renderer. It can
generate images of the sky as seen through the Earth's atmosphere with
more than one hundred thousand stars from the Hipparcos Catalogue,
constellations, planets, major satellites and nebulas.

%package doc
Summary:   	The user guide about Stellarium
Group:		Documentation
License:	GPL
%description doc
The user guide for stellarium writeen by Matthew Gates. It shouuld 
contains everythings you want to know about Stellarium.

You will need a PDF viewer to read the user guide.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
convert data/stellarium.ico stellarium.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install                            \
  --vendor fedora                               \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE1}
iconv -f iso-8859-1 -t utf-8 $RPM_BUILD_ROOT%{_mandir}/man1/stellarium.1 \
  -o $RPM_BUILD_ROOT%{_mandir}/man1/stellarium.1.utf8
mv $RPM_BUILD_ROOT%{_mandir}/man1/stellarium.1.utf8 $RPM_BUILD_ROOT%{_mandir}/man1/stellarium.1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 0644 -p stellarium-2.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/stellarium.png
rm $RPM_BUILD_ROOT%{_datadir}/stellarium/data/{icon.bmp,stellarium.ico}
cp %{SOURCE2} $RPM_BUILD_DIR/stellarium-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/stellarium
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*

%files doc
%attr(0644,root,root) %doc COPYING stellarium_user_guide-0.7.1-1.pdf

%changelog
* Tue May 16 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.0-3
- Rebuilt

* Mon May  8 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.8.0-2
- New upstream release

* Tue Feb 14 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-5
- Add stellarium user guide as doc subpackage

* Mon Feb 13 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-3
- Add SDL_mixer-devel as BuildRequires

* Mon Oct 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-2
- use of %%find_lang

* Sun Oct  9 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.7.1-1
- New upstream release

* Thu Aug 11 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.2-6
- Add %%{?dist} to release.

* Wed Aug 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 0.6.2-5
- Fix build for GCC4.

* Thu Apr 14 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.6.2-4
- Fix build for GCC4.
- Fix desktop icon installation.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jan 23 2005 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.2-2
- Fixed broken patch.

* Sun Jan 16 2005 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.2-0.fdr.1
- Updated to 0.6.2.

* Sun Oct 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.1-0.fdr.1
- Updated to 0.6.1.

* Sat Aug 21 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.0-0.fdr.2
- Patched to honour optflags.
- Added nvidia specific patch.

* Sat Jul 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.6.0-0.fdr.1
- Initial RPM release.
